> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ipworld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Transactions

> Search for transactions matching specified criteria

### Query Parameters

<ParamField query="query" type="string" required>
  Query string (e.g. "tx.height=1000")
</ParamField>

<ParamField query="prove" type="boolean">
  Include proofs of the transactions inclusion in the block
</ParamField>

<ParamField query="page" type="integer">
  Page number (1-based)
</ParamField>

<ParamField query="per_page" type="integer">
  Number of entries per page (max: 100)
</ParamField>

<ParamField query="order_by" type="string">
  Sort order ("asc" or "desc")
</ParamField>

### Response

<ResponseField name="response" type="object">
  <p>Search results</p>

  <Expandable title="Properties">
    <ResponseField name="txs" type="array">
      <p>List of matching transactions</p>
    </ResponseField>

    <ResponseField name="total_count" type="string">
      <p>Total number of matching transactions</p>
    </ResponseField>
  </Expandable>
</ResponseField>
